WXMAXIMA(1)

NAME
wxmaxima, wxmxdiff - wxWidgets interface and diff viewer for Maxima

SYNOPSIS

wxmaxima [-v] [-h] [-o <str>] [-e] [-b] [-d] [--logtostderr] [--pipe] [--exit-on-error] [-f <str>] [-u <str>] [-l <str>] [-X <str>] [-m <str>] [--enableipc] [input file...]

DESCRIPTION

wxMaxima is a rather self-explanatory graphical front-end to the Maxima computer algebra system. It provides a graphical interface and 2D formatted output display for Maxima. Its menu system facilitates access to a huge part of the Maxima native set of commands and also to a browsable Maxima help. The dialogue windows make easy the introduction of mathematical entities such as limits, matrices, etc. Besides that, it extends Maxima with a few powerful features like the ability to create diagrams with one parameter bound to a slider gui control.

One can create worksheets, which can include mathematical cells (and the results) but also different headlines, text cells, images, page breaks, etc.

Maxima is a free (GPL) common lisp implementation based on the original computer algebra system Macsyma developed at MIT. It has full documentation (HTML and info) included.

wxMaxima uses the cross-platform GUI toolkit wxWidgets and runs natively on many operative systems.

If invoked as wxmxdiff (e.g., via a symbolic link), it acts as if the -d / --diff option was specified, launching directly into the side-by-side Diff viewer comparing the files specified as parameters.

OPTIONS

-h, --help
    Help: prints a list of options.

-v, --version
    Prints the current version.

-b, --batch
    processes the file, saves it afterward. Will halt if wxMaxima finds an error message in Maxima's output and pause if Maxima asks a question.

-o, --open=<str>
    Open a file at startup.

-e, --eval=<str>
    Evaluate the file after opening it.

-d, --diff
    Compare 2 or 3 files side-by-side using the Diff viewer.

--logtostderr
    Log all "debug messages" sidebar messages to stderr, too.

--pipe
    Pipe messages from Maxima to stdout.

--exit-on-error
    Close the program on any Maxima error.

-f, --ini=<str>
    Allows specifying a file to store the configuration in

-u, --use-version=<str>
    Use Maxima version <str>.

-l, --lisp=<str>
    Use a Maxima compiled with lisp compiler <str>.

-X, --extra-args=<str>
    Allows to specify extra Maxima arguments

-m, --maxima=<str>
    Allows to specify the location of the Maxima binary.

--enableipc
    Lets Maxima control wxMaxima via interprocess communications. Use this option with care.

FILES

~/.config/wxMaxima.conf
    The personal wxMaxima initialization file, where user-specific settings are stored.

~/.maxima/wxmaxima-init.mac
    If the Maxima user directory - usually ~/.maxima/ - contains a text file named wxmaxima-init.mac the contents of the file are passed to Maxima automatically every time a new worksheet has been started.

BUGS
If you find a bug in wxMaxima, please report it in the wxMaxima bug database (https://github.com/wxMaxima-developers/wxmaxima/issues)

(Please check first, if it was not already reported.) And if you have a fix, that would be great. wxMaxima is an open-source project, where you can contribute.

If the issue is a mathematical bug, it might be a bug in Maxima (the backend, which does the mathematical computations), not wxMaxima (the graphical frontend).

The Maxima bug database is available at Sourceforge (https://sourceforge.net/p/maxima/bugs/)

AUTHORS

•   J. Rafael Rodriguez Galvan (Debian project), original author of the manual page

•   Gunter Königsmann (wxMaxima project)

•   Wolfgang Dautermannn (wxMaxima project)

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

SEE ALSO
maxima(1), xmaxima(1)

The website of wxMaxima (https://wxmaxima-developers.github.io/wxmaxima/)

wxMaxima documentation and tutorials (https://wxmaxima-developers.github.io/wxmaxima/help.html)